<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<style>
:root {
  /* settings */
  --base-screenshot-width: 1280;
  --base-screenshot-height: 720;
  --base-screenshot-height: 800;
  --base-screenshot-border-width: 1;
  --base-screenshot-titlebar-height: 44;
  --base-screenshot-tab-left: 40;
  --screenshot-scale: 2; /* 3 = 3840; 2 = 2560; 1.5 = 1920 */
  /* computed */
  --screenshot-width: calc(var(--base-screenshot-width) * var(--screenshot-scale) * 1px);
  --screenshot-height: calc(var(--base-screenshot-height) * var(--screenshot-scale) * 1px);
  --screenshot-border-width: calc(var(--base-screenshot-border-width) * var(--screenshot-scale) * 1px);
  --screenshot-titlebar-height: calc(var(--base-screenshot-titlebar-height) * var(--screenshot-scale) * 1px);
  --screenshot-tab-left: calc(var(--base-screenshot-tab-left) * var(--screenshot-scale) * 1px);
}
body {
  margin: 0;
}
.content {
  width: var(--screenshot-width);
  height: var(--screenshot-height);
  background: no-repeat top left / cover;
  position: relative;
  border: var(--screenshot-border-width) solid #808080;
  border-top: 0;
}
.titlebar-mask {
  position: absolute;
  height: var(--screenshot-titlebar-height);
  background-color: #1c1b22;
  width: 50%;
  top: 0;
}
.tab {
  position: absolute;
  width: inherit;
  height: inherit;
  background: no-repeat var(--screenshot-tab-left) top / cover;
  clip-path: polygon(0 0, 50% 0, 50% var(--screenshot-titlebar-height), 0 var(--screenshot-titlebar-height));
}
</style>
</head>
<body>
<div class="content">
<div class="titlebar-mask"></div>
<div class="tab"></div>
</div>
</body>
</head>
